// Eg5_2View.h : interface of the CEg5_2View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EG5_2VIEW_H__B27353BE_A668_46EA_A422_6A17BDBF8202__INCLUDED_)
#define AFX_EG5_2VIEW_H__B27353BE_A668_46EA_A422_6A17BDBF8202__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CEg5_2View : public CView
{
protected: // create from serialization only
	CEg5_2View();
	DECLARE_DYNCREATE(CEg5_2View)

// Attributes
public:
	CEg5_2Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEg5_2View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	int m_y;           //图形中心的y坐标
	int m_x;           //图形中心的x坐标
	int m_Shape;       //设置图形的形状           0：圆  1：矩形
	virtual ~CEg5_2View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CEg5_2View)
	afx_msg void OnDrawCircle();
	afx_msg void OnUpdateDrawCircle(CCmdUI* pCmdUI);
	afx_msg void OnDrawRect();
	afx_msg void OnUpdateDrawRect(CCmdUI* pCmdUI);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Eg5_2View.cpp
inline CEg5_2Doc* CEg5_2View::GetDocument()
   { return (CEg5_2Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EG5_2VIEW_H__B27353BE_A668_46EA_A422_6A17BDBF8202__INCLUDED_)
